Subject: Ticket Assigned - Article Feedback - What if I have other questions?
From: Landmark Group <[email-masked]>
To: [email-masked]
Date: Sun, 29 Jan 2023 09:39:54 +0000

Hi Abdulqader Ahmed,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Article Feedback - What if I have other questions? Feedback for:  What if I have other questions? I ordered a travel cot & car seat from the store at mall of qatar. Delivery was supposed to be yesterday and until today I didn’t receive anything and the baby is arriving doha tonight where is he supposed to sleep!!!! https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/5638427